/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 */

/**
 * <p>
 *  <code>PackageLessClass</code> is a class that is useless in itself but 
 *    has a useful class package. A class named "" is a good way to confuse a 
 *    lot of things.
 * </p>
 */
public class PackageLessClass {
    
    /** The value for this class */
    private String value;
    
    /**
     * <p>Default constructor.</p>
     *
     * @param value the value for this class.
     */
    public PackageLessClass(String value) {
        this.value = value;
    }

    /**
     * <p>This returns the textual representation of this class.</p>
     *
     * @return <code>String</code> - the representation of this class.
     */
    public String toString() {
        return value;
    }
}
